Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14549/?format=api
{ "ob_id": 14549, "uuid": "7e139108035142a9a1ddd96abcdfff36", "title": "ESA Land Cover Climate Change Initiative (Land_Cover_cci): Water Bodies Map, v4.0", "abstract": "As part of the ESA Land Cover Climate Change Initiative (CCI) project a static map of open water bodies at 150 m spatial resolution at the equator has been produced. \r\n\r\nThe CCI WB v4.0 is composed of two layers:\r\n\r\n1. A static map of open water bodies at 150 m spatial resolution resulting from a compilation and editions of land/water classifications: the Envisat ASAR water bodies indicator, a sub-dataset from the Global Forest Change 2000 - 2012 and the Global Inland Water product.\r\n\r\nThis product is delivered at 150 m as a stand-alone product but it is consistent with class \"Water Bodies\" of the annual MRLC (Medium Resolution Land Cover) Maps. The product was resampled to 300 m using an average algorithm. Legend : 1-Land, 2-Water\r\n\r\n2. A static map with the distinction between ocean and inland water is now available at 150 m spatial resolution. It is fully consistent with the CCI WB-Map v4.0. Legend: 0-Ocean, 1-Land.\r\n\r\nTo cite the CCI WB-Map v4.0, please refer to : Lamarche, C.; Santoro, M.; Bontemps, S.; D’Andrimont, R.; Radoux, J.; Giustarini, L.; Brockmann, C.; Wevers, J.; Defourny, P.; Arino, O. Compilation and Validation of SAR and Optical Data Products for a Complete and Global Map of Inland/Ocean Water Tailored to the Climate Modeling Community. Remote Sens. 2017, 9, 36. https://doi.org/10.3390/rs9010036", "keywords": "CCI, Water Bodies", "publicationState": "published", "dataPublishedTime": "2016-03-31T14:54:47", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14550/?format=api", "dataPath": "/neodc/esacci/land_cover/data/water_bodies/v4.0", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 546625178, "numberOfFiles": 4, "fileFormat": "Data is in GTiff and NetCDF format. It has a LAT/LON WGS84 projection." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3841/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6019/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6020/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/12066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13288/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Land Cover project and supplied to CEDA in the context of the ESA CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14431/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14430/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56428/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56432/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56429/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56431/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56430/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105103/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56434/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56433/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2601/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_landcover_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }